package net.northking.cctp.platform.config;

import feign.RequestInterceptor;
import feign.RequestTemplate;
import org.springframework.beans.factory.annotation.Autowired;

/**
 * @Description: TODO
 * @Author: baoxt
 * @@CreateDate: 2023-09-04
 */
public class HzBankFeignConfig implements RequestInterceptor {
    @Autowired
    private SyncParamConfig syncParamConfig;

    public HzBankFeignConfig() {

    }
    @Override
    public void apply(RequestTemplate requestTemplate) {
        requestTemplate.header("ak",syncParamConfig.getAk());
    }
}
